"use strict";
exports.__esModule = true;
var tslib_1 = require("tslib");
var react_1 = tslib_1.__importStar(require("react"));
var use_recorder_1 = tslib_1.__importDefault(require("./use-recorder"));
var defaultOptions = {
    backgroundColor: '#fff',
    fillStyle: '#2cbcbe',
    strokeStyle: '#d5d5d5',
    width: 200,
    height: 200
};
var WaveformAudioRecorder = function (_a) {
    var _b, _c;
    var setRecorderState = _a.setRecorderState, options = _a.options;
    var canvasRef = (0, react_1.useRef)(null);
    var draw = function (ctx, chunks) {
        var _a, _b;
        ctx.fillStyle = (_a = options === null || options === void 0 ? void 0 : options.backgroundColor) !== null && _a !== void 0 ? _a : defaultOptions.backgroundColor;
        ctx.fillRect(0, 0, ctx.canvas.width, ctx.canvas.height);
        ctx.fillStyle = (_b = options === null || options === void 0 ? void 0 : options.fillStyle) !== null && _b !== void 0 ? _b : defaultOptions.fillStyle;
        chunks.slice(chunks.length > 50 ? chunks.length - 50 : 0, -1).map(function (height, index) {
            var _a;
            var drawHeight = height + 3;
            var x = index * 10 + 10;
            ctx.strokeStyle = (_a = options === null || options === void 0 ? void 0 : options.strokeStyle) !== null && _a !== void 0 ? _a : defaultOptions.strokeStyle;
            ctx.beginPath();
            ctx.roundRect(x, ctx.canvas.height / 2 - drawHeight / 2, 3, drawHeight, 8);
            ctx.stroke();
            ctx.fill();
            return height;
        });
    };
    var recorderState = (0, use_recorder_1["default"])(canvasRef, draw);
    (0, react_1.useEffect)(function () {
        if (setRecorderState) {
            setRecorderState(recorderState);
        }
    }, [recorderState, setRecorderState]);
    (0, react_1.useEffect)(function () {
        var canvas = canvasRef.current;
        var ctx = canvas === null || canvas === void 0 ? void 0 : canvas.getContext('2d');
        draw(ctx, []);
    }, []);
    return (react_1["default"].createElement("canvas", { id: 'audio-recorder-canvas', width: (_b = options === null || options === void 0 ? void 0 : options.width) !== null && _b !== void 0 ? _b : defaultOptions.width, height: (_c = options === null || options === void 0 ? void 0 : options.height) !== null && _c !== void 0 ? _c : defaultOptions.height, ref: canvasRef }));
};
exports["default"] = react_1["default"].memo(WaveformAudioRecorder);
//# sourceMappingURL=waveform-audio-recorder.js.map